Extraction fields
Get an extraction field
Get one of an agent’s extraction fields.
GET
/
agents
/
{agentId}
/
extraction-fields
/
{fieldId}
curl -X GET "https://api.nedzo.ai/v1/agents/123e4567-e89b-12d3-a456-426614174000/extraction-fields/2c4e6f80-1a3b-4c5d-8e9f-0a1b2c3d4e5f" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "2c4e6f80-1a3b-4c5d-8e9f-0a1b2c3d4e5f",
"agentId": "123e4567-e89b-12d3-a456-426614174000",
"name": "budget",
"type": "number",
"description": "The budget the caller gives, in dollars",
"targetContactField": null,
"targetCustomVariableId": "0e1f2a3b-4c5d-4e6f-8a9b-0c1d2e3f4a5b",
"createdAt": "2026-10-11T10:00:00Z",
"updatedAt": "2026-10-11T10:00:00Z"
}
This endpoint is for the VIP plan only. Other plans get a
403. See Plan access.Path Parameters
curl -X GET "https://api.nedzo.ai/v1/agents/123e4567-e89b-12d3-a456-426614174000/extraction-fields/2c4e6f80-1a3b-4c5d-8e9f-0a1b2c3d4e5f" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "2c4e6f80-1a3b-4c5d-8e9f-0a1b2c3d4e5f",
"agentId": "123e4567-e89b-12d3-a456-426614174000",
"name": "budget",
"type": "number",
"description": "The budget the caller gives, in dollars",
"targetContactField": null,
"targetCustomVariableId": "0e1f2a3b-4c5d-4e6f-8a9b-0c1d2e3f4a5b",
"createdAt": "2026-10-11T10:00:00Z",
"updatedAt": "2026-10-11T10:00:00Z"
}
Errors
| Status | When |
|---|---|
400 | An id is not a valid UUID. |
404 | The agent or field is not in your API key’s scope. |
Was this page helpful?
⌘I
curl -X GET "https://api.nedzo.ai/v1/agents/123e4567-e89b-12d3-a456-426614174000/extraction-fields/2c4e6f80-1a3b-4c5d-8e9f-0a1b2c3d4e5f" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "2c4e6f80-1a3b-4c5d-8e9f-0a1b2c3d4e5f",
"agentId": "123e4567-e89b-12d3-a456-426614174000",
"name": "budget",
"type": "number",
"description": "The budget the caller gives, in dollars",
"targetContactField": null,
"targetCustomVariableId": "0e1f2a3b-4c5d-4e6f-8a9b-0c1d2e3f4a5b",
"createdAt": "2026-10-11T10:00:00Z",
"updatedAt": "2026-10-11T10:00:00Z"
}